<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 







//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'telaGeral':
	  $amostraLonga=$_POST['amostraLonga'];
	  if($amostraLonga<1)$amostraLonga=1;
       echo("<h2>FAZ O TRABALHO DE PASSAR OS TESTES A REALIZAR DA TABELA TRADICIONAL PARA O CAMPO FIC_TESTES_REALIZAR</h2>");
      if(isset($_POST['bt_converte'])):
		$gravouRealmenteNaFicha=0;

	    $amostraLonga=$_POST['amostraLonga'];
	    echo("Convertendo " .$quantidade." <br>");
		//vai percorrer as amostras que nao sao da adv  e CAPTURA A ANOSTRALONG
        //conta toal de amostras
        $userAmo = new amostras();
		$userAmo->extras_select = "WHERE fic_id>=".$amostraLonga." order by fic_id limit 500 ";
		echo $userAmo->extras_select;
        $userAmo->selecionaTudo($userAmo);
        $contador=0;
		$amostrasSemTestes=0;
        while ($resAmo = $userAmo->retornaDados()):
            $contador++;
            $amostraLong=$resAmo->fic_id;
            $amostraLonga=$resAmo->fic_id;
            $testesDestaAmostra=$resAmo->fic_testes_realizar;
			//verifica se tem concatenado
            if(strlen($testesDestaAmostra)<3):
			    $amostrasSemTestes++;               
	            $user = new testesSolicitados();
				$user->extras_select = "where tes_ficha=".$amostraLong;
				$user->selecionaTudo($user);
				$concatenado="";
				while ($res = $user->retornaDados()):
				   $concatenado=$concatenado.$res->tes_teste.';';
				endwhile; 
				$concatenado=substr($concatenado,0,80);  //nao pode exceder o tamnho do camppo tes_ficha_id             
                //se achou testes a realizar e o concatenado ficou diferente de vazio
				if(strlen($concatenado)>2)://vai salvar na tabela ficha
				  $gravouRealmenteNaFicha++;
           	      $sql="update ficha set fic_testes_realizar='$concatenado' where fic_id=".$amostraLong;
		          $generica=new tabelagenerica();
	              $generica->grava_registro_com_retorno($sql);
				  $mostraConcatenado=$concatenado .strlen($mostraConcatenado);  
                endif;
             endif;//testa tem algo salvado no campo tes_ficha_id
        endwhile;
 
     endif;//testa se apaertou botao deleta rean ....


  
  
      ?>
	  </tbody>
	  </table>
	  <form class="userform" method="POST" action="">
	  <table>
      <tr>
	  <td>Contador= <?php echo $contador;?></td>
	  <td>Amostras sem testes= <?php echo $amostrasSemTestes;?></td>
	  <td>Concatenado= <?php echo $mostraConcatenado;?></td>
	  <td>Gravou realmente= <?php echo $gravouRealmenteNaFicha;?></td>
	  </tr>	  
      <tr>
	  <td>ID_AMOSTRA<input type="text" name="amostraLonga" size="1"  value="<?php echo $amostraLonga;?>" /></td>
	  </tr>	  
	  <tr>
	  <td><input type="submit" name="bt_converte"   value="Converte agora" /></td>
	  </tr>
	  </table>
	  <p>Como usar esta parte do programa e qusl sua finalidade:  </p>
	  <p>Para fins de acelerar o processamento no final de 2017 foi modificada a parte que grava os testes a realizar:  </p>
	  <p>pois nao precisaria mais fazer sempre a contagem e a classe fichavurtual ja teria os dados pronto para retornar.  </p>
	  <p>Este modulo nao deve ser usado no laboratorio pois toma muito tempo de processamento.  </p>
	  <p>e requer certa habilidade. Mas se alguem entrar acidentalemente nada de errado vai acontecer  </p>
	  <p>Pode ser usado o campo id para fazer a varreduras a partir de um ponto predeterminado:  </p>
	  </form>
	  <?php      
  break;







    case 'telaGeralxxxxxx':
    echo("<h2>FAZ O TRABALHO DE PASSAR OS TESTES A REALIZAR DA TABELA TRADICIONAL PARA O CAMPO FIC_TESTES_REALIZAR</h2>");
	
	
$idLabo=132;//este é o id da qualidteste dentro do subdominio oto 
        $user = new usuarios();
		//$user->extras_select = "WHERE  usuario='".$siglaLabLido."'";
		$user->extras_select = "WHERE id=".$idLabo."  limit 1";
        $user->selecionaTudo($user);
        $texto= ""; 
        while ($res = $user->retornaDados()):
            $texto="Nome=".$res->nome. "  campoUsuario=".$res->usuario. " id fixada=".$idLabo;
      endwhile;                
      echo("dados do cliente: $texto<br>");




      if(isset($_POST['bt_eliminaReanLenta'])):
	    echo("Eliminacao PADRAO usada em todo programa<br><br>");
		//vai percorrer as amostras que nao sao da adv  e CAPTURA A ANOSTRALONG
        //conta toal de amostras
        $userAmo = new amostras();
		$userAmo->extras_select = "WHERE   fic_labo=".$idLabo." LIMIT ".$quantidade;
        $userAmo->selecionaTudo($userAmo);
        $contador=0;
        while ($resAmo = $userAmo->retornaDados()):
            $contador++;
            $amostraLong=$resAmo->fic_id;
            $amostra=$resAmo->fic_amostra;
			//VAI DELETAR INVASORAS  DAQUELA AMOSTRA
			$sql="delete from invasoras where inv_amostra=".$amostraLong;
			$hora=date('h:i:s');
			echo("mostrando sql invasoras   $sql $hora<br>");

		    $userNota = new generica();
		    $userNota->campos_valores = $sql;				 
			$userNota->inserirEspecial($userNota);	

			//VAI DELETAR TETRAZOLIO   DAQUELA AMOSTRA
			$sql="delete from tetrazolio where tet_amostra=".$amostraLong;
			$hora=date('h:i:s');
            echo("mostrando sql tz   $sql $hora<br>");
		    $userNota = new generica();
		    $userNota->campos_valores = $sql;				 
			$userNota->inserirEspecial($userNota);	
			
		  
	        //VAI DELETAR TESTES SOLICITADOS DAQUELA AMOSTRA
			$sql="delete from testessolicitados where tes_ficha=".$amostraLong;
			$hora=date('h:i:s');
            echo("mostrando sql testes   $sql $hora<br>");
			
		    $userNota = new generica();
		    $userNota->campos_valores = $sql;				 
			$userNota->inserirEspecial($userNota);	
		  
		   
	        //VAI DELETAR DOCUMENTOS PONTE   DAQUELA AMOSTRA	  	  
			$sql="delete from documentosponte where dpo_amostra_vinculada=".$amostraLong;
			$hora=date('h:i:s');
            echo("mostrando ponte  $sql $hora<br>");
		    $userNota = new generica();
		    $userNota->campos_valores = $sql;				 
			$userNota->inserirEspecial($userNota);	


	        //VAI PERCOREER TODOS REGISTROS REAN1 DAQUELA AMOSTRA  CAPTURANDO REANLONG  
	        $user = new rean1();
			$user->extras_select = " where rea_ficha=".$amostraLong;
	        $user->selecionaTudo($user);
	        while ($res = $user->retornaDados()):
				$longRean=$res->rea_id;
	            //VAI DELETAR REGISTROS DA TABELA LEITURAS QUE TENHAM O VALOR DA REAN
				$sql="delete from leituras where lei_rean=".$longRean;
				$hora=date('h:i:s');
			    $userNota = new generica();
			    $userNota->campos_valores = $sql;				 
				$userNota->inserirEspecial($userNota);
				//$afetadas=5+$userNota->linhasAfetadas;
				echo("mostrando sql leituras   $sql $hora $afetadas<br>");
	            //VAI DELETAR O REGISTRO DA REAN 
				$sql="delete from rean1 where  rea_id=".$longRean;
				$hora=date('h:i:s');
                echo("mostrando sql rean $sql $hora<br>");
			    $userNota = new generica();
			    $userNota->campos_valores = $sql;				 
				$userNota->inserirEspecial($userNota);	
	        endwhile; 
	        //VAI DELETAR O REGISTRO DA TABELA FICHA QUE ACABOU DE SER LOCALIZADO        				
			$sql="delete from ficha where  fic_id=".$amostraLong;
			$hora=date('h:i:s');
            echo("mostrando sql fichas  $sql $hora<br>");
		    $userNota = new generica();
		    $userNota->campos_valores = $sql;
			if(isset($_POST['inabilita'])):
                $chequeInabilita="checked";			
			else:
			    $userNota->inserirEspecial($userNota);	
			endif;				 
            //vai me mostrar o numero da amostra deletada
            echo("Amostra deletada:   $amostra  id=$amostraLong  <br><br>"); 
        endwhile;

        //VAI DELETAR DOCUMENTOS QUE TEM DOC_LABO DIFERENTE DE IDLABO
		$sql="delete from documentos where  doc_labo=".$idLabo." LIMIT ".$quantidade;
		$hora=date('h:i:s');
		echo("mostrando sql documentos   $sql $hora<br>");
	    $userNota = new generica();
	    $userNota->campos_valores = $sql;				 
		if($chequeInabilita!="checked")$userNota->inserirEspecial($userNota);	
	  
	 /* 
        //deletar amostras daquele idlab, que sao de anos anteriores que nao precisa mais
		$sql="delete from ficha where  (fic_ano='2012' or  fic_ano='2013' or  fic_ano='2014' or  fic_ano='2015' or fic_ano='2016') and  fic_labo=".$idLabo;
	    $userNota = new generica();
	    $userNota->campos_valores = $sql;				 
		//$userNota->inserirEspecial($userNota);	
        //echo $sql;
		*/
        echo("contador de linha rean para deletar=$contador  <br>");


     endif;//testa se apaertou botao deleta rean ....

///////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////
	 
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "100px",
                "bPaginate": false,
                "aaSorting": [[0, ""]] 
               }); 
            });
        </script>
	
      
		    <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Amostrax</th><th>idAmostra</th><th>dtEntrada</th><th>ficLabo</th>
                </tr>
            </thead>
            <tbody>

	   <?php

	 
	 

     //mostra amostras que estao prestes a serem deletadas
        //conta toal de amostras
        $user = new amostras();
		$user->extras_select = "WHERE   fic_labo=".$idLabo." LIMIT ".$quantidade;//assin fuciniona
        $user->selecionaTudo($user);
        $contador=0;
        while ($res = $user->retornaDados()):
            $contador++;
		    echo '<tr>';
            printf('<td>%s</td>',$res->fic_amostra);
            printf('<td>%s</td>',$res->fic_id);
            printf('<td>%s</td>',$res->fic_dt_entrada);
            printf('<td>%s</td>',$res->fic_labo);
            echo '</tr>';
        endwhile;
		
	
  
  
      ?>
	  </tbody>
	  </table>
	  <form class="userform" method="POST" action="">
	  <table>
	  <tr>
	  <td><input type="submit" name="bt_converte500"   value="Converte 500" /></td>
	  </tr>
	  </table>
	  <table>
      <tr>
	  <td>Quantidade<input type="text" name="quantidade" size="1"  value="<?php echo $quantidade;?>" /></td>
	  </tr>	  
	  </table>
	  <p>xxxxxxxxxxxxxxx</p>
	  </form>
	  <?php      
  break;








	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>